Name:           aldo
Version:        0.7.6
Release:        4%{?dist}
Summary:        A morse tutor

Group:          Applications/Communications
License:        GPLv2+
URL:            http://aldo.nongnu.org/
Source0:        http://savannah.nongnu.org/download/aldo/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libao-devel

%description
Aldo is a morse code learning tool released under GPL, which provides
four type of training methods:

   1. Classic exercise : Identify random characters played in morse code.
   2. Koch method : Two morse characters will be played at full speed
      (20wpm) until you'll be able to identify at least 90 percent of
      them. After that, one more character will be added, and so on.
   3. Read from file : Identify the morse code generated from a file.
   4. Callsign exercise : Identify random callsigns played in morse code.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 2 2010 Randall "Randy" Berry N3LRX <dp67@fedoraproject.org> - 0.7.6-3
- Rebuild for Rawhide/F15

* Fri Jul 30 2010 Randall "Randy" Berry N3LRX <dp67@fedoraproject.org> - 0.7.6-2
- Fix upload source mistake
- Rebuild for F14/Rawhide

* Sat Apr 16 2010 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.7.6-1
- New upstream release:    
- Added soundcard selection patch from Corey Minyard.
- Added a patch from Sam "SammytheSnake" Penny that adds support to upper-case and punctuation characters
- Added patch from Corey Minyard that changes default koch sequencee: 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7.5-2
- Submit for review
* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.7.5-1
- Initial build
